<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Banners\Controllers\BannerFilesController;
use App\Http\ApiV1\Modules\Banners\Controllers\BannersController;
use App\Http\ApiV1\Modules\Banners\Controllers\BannerTypesController;
use App\Http\ApiV1\Modules\Menus\Controllers\MenusController;
use App\Http\ApiV1\Modules\Menus\Controllers\MenuTreesController;
use App\Http\ApiV1\Modules\Nameplates\Controllers\NameplateProductsController;
use App\Http\ApiV1\Modules\Nameplates\Controllers\NameplatesController;
use App\Http\ApiV1\Modules\Pages\Controllers\PagesController;
use App\Http\ApiV1\Modules\Products\Controllers\ProductsController;
use App\Http\ApiV1\Modules\Seo\Controllers\SeoTemplateProductsController;
use App\Http\ApiV1\Modules\Seo\Controllers\SeoTemplatesController;
use Illuminate\Support\Facades\Route;

Route::post('contents/pages', [PagesController::class, 'create']);
Route::get('contents/pages/{id}', [PagesController::class, 'get']);
Route::delete('contents/pages/{id}', [PagesController::class, 'delete']);
Route::patch('contents/pages/{id}', [PagesController::class, 'patch']);
Route::post('contents/pages:search', [PagesController::class, 'search']);
Route::post('contents/pages:search-one', [PagesController::class, 'searchOne']);
Route::post('contents/banners', [BannersController::class, 'create']);
Route::put('contents/banners/{id}', [BannersController::class, 'replace']);
Route::delete('contents/banners/{id}', [BannersController::class, 'delete']);
Route::post('contents/banners/{id}:upload-file', [BannerFilesController::class, 'upload']);
Route::post('contents/banners/{id}:delete-file', [BannerFilesController::class, 'delete']);
Route::post('contents/banners:search', [BannersController::class, 'search']);
Route::post('contents/banners:search-one', [BannersController::class, 'searchOne']);
Route::post('contents/banner-types:search', [BannerTypesController::class, 'search']);
Route::put('contents/menus/{id}/trees', [MenuTreesController::class, 'update']);
Route::post('contents/menus:search', [MenusController::class, 'search']);
Route::post('contents/menus:search-one', [MenusController::class, 'searchOne']);
Route::post('products/products/{id}:add-nameplates', [ProductsController::class, 'addNameplates']);
Route::delete('products/products/{id}:delete-nameplates', [ProductsController::class, 'deleteNameplates']);
Route::post('nameplates/nameplates', [NameplatesController::class, 'create']);
Route::get('nameplates/nameplates/{id}', [NameplatesController::class, 'get']);
Route::delete('nameplates/nameplates/{id}', [NameplatesController::class, 'delete']);
Route::patch('nameplates/nameplates/{id}', [NameplatesController::class, 'patch']);
Route::post('nameplates/nameplates/{id}:add-products', [NameplatesController::class, 'addProducts']);
Route::delete('nameplates/nameplates/{id}:delete-products', [NameplatesController::class, 'deleteProducts']);
Route::post('nameplates/nameplates:search', [NameplatesController::class, 'search']);
Route::get('nameplates/nameplate-products/{id}', [NameplateProductsController::class, 'get']);
Route::post('nameplates/nameplate-products:search', [NameplateProductsController::class, 'search']);
Route::post('seo/templates', [SeoTemplatesController::class, 'create']);
Route::post('seo/templates/{id}:add-products', [SeoTemplatesController::class, 'addProducts']);
Route::delete('seo/templates/{id}:delete-products', [SeoTemplatesController::class, 'deleteProducts']);
Route::get('seo/templates/{id}', [SeoTemplatesController::class, 'get']);
Route::delete('seo/templates/{id}', [SeoTemplatesController::class, 'delete']);
Route::patch('seo/templates/{id}', [SeoTemplatesController::class, 'patch']);
Route::post('seo/templates:search', [SeoTemplatesController::class, 'search']);
Route::post('seo/templates:search-one', [SeoTemplatesController::class, 'searchOne']);
Route::get('seo/template-products/{id}', [SeoTemplateProductsController::class, 'get']);
Route::post('seo/template-products:search', [SeoTemplateProductsController::class, 'search']);
